#!/bin/bash

./wipe.sh

g++ -O2 -Wall -o split split.cpp
./split < tests.all

g++ -O2 -Wall -o bridge_yp ../bridge_yp.cpp
g++ -O2 -Wall -o check -I../../../include ../check.cpp

for f in ?? ; do
  echo $f
  cp $f bridge.in
  ./bridge_yp
  cp bridge.out $f.a
  ./check bridge.{in,out} $f.a
done
